Screenshot New Years Sale Get the "ALL ACCESS PASS" and Save $349. Unlimited Licenses.
Show All Access Pass

Plugin Requirements

Published: October 2, 2018 | Updated: January 2nd, 2020
  1. Home
  2. Docs
  3. General
  4. Plugin Requirements

Overview

WP OAuth Server is a full OAuth 2.0 server for WordPress and is not suitable for all hosting environments. We highly recommend using WP OAuth Server with capable hosting solutions.

  • The latest version of WordPress.
  • Hosting should be dedicated or VPS. The plugin will work with most shared hosting, but you may encounter authentication issues outside of our support team’s control.
  • PHP 5.6 or Greater
  • General knowledge of OAuth 2.0.

Recommended Hosting

The hosting solution being used is extremely important to the success and security of your project. We have tested a lot of solutions and nothing compares to the Dreamhost’s packages. They are affordable and pack more power than any other hosting provider on the market.

Dreamhost is recommended but not required. Save $50 with the link below.

Plugin Warnings and Notices

After WP OAuth Server has been installed and activated, it performs tests for common server setups that cause problems. You can see the server status by visiting the “Status” tab in the plugins menu.

If you find that there are warnings being displayed, feel free to contact support.

Icon